from read_cifar import *
from mlp import *
from knn import *

path = r'C:\Users\hp\Desktop\BE\image-classification\data'


if __name__ == "__main__":
    split_factor = 0.9
    X, y = read_cifar(path)
    X_train,y_train,X_test,y_test=split_dataset(X,y,split=0.9)
    
    K_max=20
    accuries=evaluate_knn_for_k(X_train, y_train, X_test, y_test, K_max)
    plot_accuracy_versus_k(accuries)






if __name__ == "__main__":
    split_factor = 0.9
    data, labels = read_cifar(path)
    data_train, labels_train, data_test, labels_test = split_dataset(data, labels, split=split_factor)
    data_train, data_test = data_train/255.0, data_test/255.0
    # parameters of the MLP :
    d_h = 64
    learning_rate = 0.9
    num_epoch = 100
    
    train_accuracies, test_accuracy = run_mlp_training(data_train, labels_train, data_test,
                                                       labels_test, d_h, learning_rate, num_epoch)
    plot_accuracy_versus_epoch(train_accuracies)




