from read_cifar import split_dataset
import numpy as np

def test_split_dataset():
    data = np.random.rand(100, 2)
    labels = np.random.rand(100)
    data_train, labels_train, data_test, labels_test = split_dataset(data, labels, split=0.6)
    assert data_train.shape == (60, 2)
    assert data_test.shape == (40, 2)
    assert labels_train.shape == (60,)
    assert labels_test.shape == (40,)