from mlp import train_mlp
import numpy as np

def test_train_mlp():

    data = np.random.rand(100, 1000)
    labels = np.random.randint(10, size=100)
    d_in = data.shape[1]
    d_out = 10
    d_h = 4

    w1 = 2 * np.random.rand(d_in, d_h) - 1  # first layer weights
    b1 = np.zeros((1, d_h))                 # first layer biaises
    w2 = 2 * np.random.rand(d_h, d_out) - 1 # second layer weights
    b2 = np.zeros((1, d_out))               # second layer biaises

    w1, b1, w2, b2, train_accuracies = train_mlp(w1, b1, w2, b2, data, labels, learning_rate=0.1, num_epoch=2)

    assert len(train_accuracies) == 2